Subject: DNS & funny characters

From: David Herron <[email-masked]>
Date: Fri, 28 Jan 2000 01:06:40 -0500 (EST)

http://www.cnn.com/2000/TECH/computing/01/27/forget.asci.idg/index.html

The DNS needs to be redesigned to use Unicode.

	David

---

From: Graham Klyne <[email-masked]>
Date: Fri, 28 Jan 2000 10:12:23 +0000

>The DNS needs to be redesigned to use Unicode.

Note that _DNS_ is quite capable of supporting such names;  it's the host 
naming rules that impose constraints.  See RFC 2181, section 11.

See also the recent announcement (24-Jan-2000):

>A new IETF working group has been proposed in the Internet Area.
>The IESG has not made any determination as yet.
>
>The following Description was submitted, and is provided for
>informational purposes only:
>
>  Mailing Lists:
>      General Discussion:[email-masked]
>      To Subscribe:      [email-masked]
>      Archive:           ftp://ops.ietf.org/pub/lists/idn*
>
>Description of Working Group:
>
>The goal of the group is to investigate and specify the requirements for
>supporting internationalized domain names.
>
>The scope of the group is to investigate the possible means of doing
>this and what technical impact they will have on the users of such names
>and on other users and administrators of the domain name system.
>
>The group will not address the question of what, if any, body should
>administer or control usage of names that use this functionality.
>
>The Action Item(s) for the Working Group are
>
>  1. An Informational RFC specifying the requirements for encoding
>     International characters into DNS names and records. The document
>     should provide guidance for development solutions to this problem,
>     taking localized (e.g. writing order) and related operational issues
>    into consideration.
>
>  2. An Informational RFC or RFC's documenting the various proposals
>     and Implementations of Internationalization (i18n) of Domain Names.
>     The document(s) should also provide a technical evaluation of the
>     proposals by the Working Group.

#g

------------
Graham Klyne
([email-masked])

---

From: Graham Klyne <[email-masked]>
Date: Fri, 28 Jan 2000 10:12:23 +0000

#g

------------
Graham Klyne
([email-masked])